package com.ruoyi.abuwx.mapper;

import com.ruoyi.abuwx.domain.QuestionInfo;

import java.util.List;

/**
 * 题目管理Mapper接口
 *
 * @author lujie
 * @date 2025-01-06
 */
public interface QuestionInfoMapper {
    /**
     * 查询题目管理
     *
     * @param id 题目管理主键
     * @return 题目管理
     */
    public QuestionInfo selectQuestionInfoById(Long id);

    /**
     * 查询题目管理列表
     *
     * @param questionInfo 题目管理
     * @return 题目管理集合
     */
    public List<QuestionInfo> selectQuestionInfoList(QuestionInfo questionInfo);

    /**
     * 新增题目管理
     *
     * @param questionInfo 题目管理
     * @return 结果
     */
    public int insertQuestionInfo(QuestionInfo questionInfo);

    /**
     * 修改题目管理
     *
     * @param questionInfo 题目管理
     * @return 结果
     */
    public int updateQuestionInfo(QuestionInfo questionInfo);

    /**
     * 删除题目管理
     *
     * @param id 题目管理主键
     * @return 结果
     */
    public int deleteQuestionInfoById(Long id);

    /**
     * 批量删除题目管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQuestionInfoByIds(Long[] ids);
}
